> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 人员信息补充

> 使用 People Enrichment 端点丰富 1 人的数据。



## OpenAPI

````yaml openapi/zh/apollo.json POST /apollo/people/match
openapi: 3.0.3
info:
  title: Apollo API
  version: 1.0.0
  description: 通过 AIsa 统一网关公开的 Apollo API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /apollo/people/match:
    post:
      summary: 人员信息补充
      description: >-
        使用 People Enrichment 端点可为 1 个人补充数据。如需通过单次 API 调用为最多 10 个人补充数据，请改用 Bulk
        People Enrichment 端点。Apollo
        依赖您通过端点参数传递的信息来识别需要补充数据的正确人员。您提供的个人信息越多，Apollo
        就越有可能在其数据库中找到匹配项。如果您只提供姓名等一般信息，而不提供域名或电子邮件地址，则可能会收到 200
        响应，但响应会表明没有任何记录得到补充。默认情况下，此端点不返回个人电子邮件或电话号码。使用 reveal_personal_emails 和
        reveal_phone_number 参数可获取电子邮件和电话号码。您还可以使用 run_waterfall_email 和
        run_waterfall_phone
        参数，通过此端点执行瀑布式数据补充。该功能通过检查已连接的第三方数据源中的联系人电子邮件和电话号码，提供更广泛的数据覆盖。调用此端点并包含至少一个瀑布式参数时，Apollo
        会立即返回同步响应，其中包含人口统计和公司特征数据，以及瀑布式数据补充请求状态。Apollo
        会将补充后的电子邮件和/或电话号码异步发送到已配置的 webhook。**Webhook 响应详情：** -
        使用原生数据补充功能补充电话号码时，webhook 响应如下：- 传递 Waterfall 标志时，webhook 响应如下：**Webhook
        要求：** - **必须使用 HTTPS：** 您的端点必须可通过公共网络使用 HTTPS 访问。- **速率限制：** 请确保您的
        webhook 端点能够处理 Apollo 发送的 webhook 流量。- **幂等性：** Apollo 可能会重试 webhook
        调用；您的端点应具有幂等性，以安全处理重复载荷。使用此端点将根据您账户的定价方案消耗额度。如果运行瀑布式数据补充参数，具体消耗取决于您请求的数据类型（电子邮件和/或电话号码）以及返回补充数据的数据源。要查看
        Apollo 定价概要，请访问公开定价页面 ↗。有关 API 额度使用情况的详细信息，请参阅 *About Credits* 页面中的 API
        enrichment ↗ 部分（需要登录）。
      operationId: post_apollo_people_match
      parameters:
        - name: first_name
          in: query
          required: false
          schema:
            type: string
          description: 人员的名字。通常与 last_name 参数结合使用。示例：tim
        - name: last_name
          in: query
          required: false
          schema:
            type: string
          description: 人员的姓氏。通常与 first_name 参数结合使用。示例：zheng
        - name: name
          in: query
          required: false
          schema:
            type: string
          description: >-
            人员的全名。通常由名字和姓氏组成，并以空格分隔。如果使用此参数，则无需使用 first_name 和 last_name
            参数。示例：tim zheng
        - name: email
          in: query
          required: false
          schema:
            type: string
          description: 此人的电子邮件地址。示例：example@email.com
        - name: hashed_email
          in: query
          required: false
          schema:
            type: string
          description: >-
            人员电子邮件地址的哈希值。电子邮件地址应符合 MD5 或 SHA-256
            哈希格式。示例：8d935115b9ff4489f2d1f9249503cadf (MD5) 或
            97817c0c49994eb500ad0a5e7e2d8aed51977b26424d508f66e4e8887746a152
            (SHA-256)
        - name: organization_name
          in: query
          required: false
          schema:
            type: string
          description: 此人的雇主名称。可以是当前雇主或前雇主。示例：apollo
        - name: domain
          in: query
          required: false
          schema:
            type: string
          description: >-
            此人的雇主域名。可以是当前雇主或以前雇主的域名。请勿包含 www.、@ 符号或类似内容。示例：apollo.io 或
            microsoft.com
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            人员的 Apollo ID。Apollo 数据库中的每个人员都分配有唯一 ID。要查找 ID，请调用 People API Search
            端点，并确定 person_id 的值。示例：587cf802f65125cad923a266
        - name: linkedin_url
          in: query
          required: false
          schema:
            type: string
          description: >-
            此人的 LinkedIn 个人资料
            URL。示例：http://www.linkedin.com/in/tim-zheng-677ba010
        - name: run_waterfall_email
          in: query
          required: false
          schema:
            type: boolean
          description: 设为 true 以启用电子邮件瀑布式数据丰富
        - name: run_waterfall_phone
          in: query
          required: false
          schema:
            type: boolean
          description: 设置为 true 以启用电话瀑布式数据补充
        - name: reveal_personal_emails
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            如果希望使用个人电子邮件地址丰富此人的数据，请设置为 true。这可能会消耗 Apollo 定价方案中的额度。默认值为
            false。如果此人居住在符合 GDPR 要求的地区，Apollo 将不会披露其个人电子邮件地址。
        - name: reveal_phone_number
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            如果希望使用所有可用电话号码（包括手机号码）丰富此人的数据，请设置为 true。根据你的 Apollo
            定价方案，这可能会消耗额度。默认值为 false。如果将此参数设置为 true，则必须为 webhook_url 参数输入
            Webhook URL。Apollo 将异步验证电话号码，然后向你提供的 Webhook URL 发送仅包含此人电话号码详细信息的
            JSON 响应。电话号码可能需要几分钟才能送达。
        - name: webhook_url
          in: query
          required: false
          schema:
            type: string
          description: >-
            如果将 reveal_phone_number 参数设置为 true，则此参数为必填项。否则，请勿使用此参数。输入 Webhook
            URL，以指定 Apollo 应将包含所请求电话号码的 JSON 响应发送到何处。Apollo
            建议测试此流程，确保你能够收到包含电话号码的单独响应。如果电话号码未发送到 Webhook URL，请尝试对 Webhook URL
            应用 UTF-8
            编码。示例：https://webhook.site/cc4cf44e-e047-4774-8dac-473d28474e40；https%3A%2F%2Fwebhook.site%2Fcc4cf44e-e047-4774-8dac-473d28474e40
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  person:
                    type: object
                    description: 响应对象
                  waterfall:
                    type: object
                    description: 响应对象
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````